> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Minions Route



## OpenAPI

````yaml /api/openapi.json get /api/minions
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/minions:
    get:
      tags:
        - minions
      summary: List Minions Route
      operationId: list_minions_route_api_minions_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MinionListOut'
components:
  schemas:
    MinionListOut:
      properties:
        total:
          type: integer
          title: Total
        minions:
          items:
            $ref: '#/components/schemas/MinionSummary'
          type: array
          title: Minions
        last_refreshed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Refreshed At
        is_stale:
          type: boolean
          title: Is Stale
          default: false
      type: object
      required:
        - total
        - minions
      title: MinionListOut
    MinionSummary:
      properties:
        id:
          type: string
          title: Id
        ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Ip
        status:
          type: string
          enum:
            - online
            - offline
            - pending
            - rejected
            - denied
          title: Status
        os:
          anyOf:
            - type: string
            - type: 'null'
          title: Os
        os_family:
          anyOf:
            - type: string
            - type: 'null'
          title: Os Family
        osrelease:
          anyOf:
            - type: string
            - type: 'null'
          title: Osrelease
        saltversion:
          anyOf:
            - type: string
            - type: 'null'
          title: Saltversion
      type: object
      required:
        - id
        - status
      title: MinionSummary

````